Create wallet provider
Roles
Analytics Events
/v2/presentations/wallet-providersCreates a wallet provider that can present mDocs for online verification.
Analytic events
- CREDENTIAL_PRESENTATION_WALLET_PROVIDER_CREATE_START
- CREDENTIAL_PRESENTATION_WALLET_PROVIDER_CREATE_SUCCESS
- CREDENTIAL_PRESENTATION_WALLET_PROVIDER_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
Wallet provider payload
Unique identifier for the wallet. This field is compared against the wallet identifier defined in the request by the Verifier Web SDK. Value must be unique amongst configured wallet providers on your tenant.
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/presentations/wallet-providers" \ -H "Content-Type: application/json" \ -d '{ "name": "Example wallet provider", "openid4vpConfiguration": { "authorizationEndpoint": "com-example.wallet://" } }'{
"id": "e63a2e46-5afa-48f9-bcc2-2114cf5f331b",
"name": "Example wallet provider",
"openid4vpConfiguration": {
"authorizationEndpoint": "com-example.wallet://"
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete a verifier application DELETE
Removes an existing mDocs online verifier application. ### **Analytic events** * PRESENTATION_VERIFIER_APPLICATION_DELETE_START * PRESENTATION_VERIFIER_APPLICATION_DELETE_SUCCESS * PRESENTATION_VERIFIER_APPLICATION_DELETE_FAIL
Retrieve all wallet providers GET
Retrieves all existing wallet providers that can present mDocs for online verification. ### **Analytic events** * CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_LIST_START * CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_LIST_SUCCESS * CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_LIST_FAIL